Update Shop
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"subdomain": "nssrciatkmatldznkaapj",
"logo_image_id": null,
"favicon_image_id": null,
"background_image_id": null,
"discord_client_id": "ptdhyldmarwuvlvyfcejz",
"discord_client_secret": "olbxnqyvzmcgyfpncfyst",
"discord_bot_token": "nonjizoohlpabvwbfbzkw",
"discord_login_enabled": true,
"crisp_website_id": "sewlxtdfjxskykaapbpdx",
"tawkto_id": "voinjyyjgewzrvldmtkty",
"gtag_id": "kspxnwtkwmotupuntpewa",
"gtm_id": "eqmxearmqdrugeraqymfe",
"meta_pixel_id": "gawtjymzjryiswgvrvsnl",
"trustpilot_afs_email": "hills.rory@example.com",
"description": "Dignissimos et officiis eius.",
"meta_title": "xdnpytwkzmrivvydpytrx",
"meta_description": "enarcdhbxnxeohvqqinls",
"meta_image_id": null,
"meta_twitter_card": "summary_large_image",
"invoice_header": "eqaclxvxvxxogzgeajuzg",
"invoice_notes": "zyecwzbckqdwpluwpkfke",
"invoice_footer": "wfylathpaxyvlxlkwxicy",
"invoice_attach_email": true,
"tax_enabled": true,
"tax_rate": 16,
"tax_countries": null,
"force_custom_domain": true,
"refund_out_of_stock_to_customer_balance": true,
"hide_out_of_stock_products": false,
"hide_out_of_stock_variants": false,
"require_shipping_zone": false,
"noindex": true,
"powered_by_enabled": true,
"maintenance_enabled": true,
"maintenance_password": "tncjtuqjtrzfffyaseegy",
"currency": "xqk",
"default_language": "ko",
"enabled_languages": [
"pt"
]
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/update"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"subdomain": "nssrciatkmatldznkaapj",
"logo_image_id": None,
"favicon_image_id": None,
"background_image_id": None,
"discord_client_id": "ptdhyldmarwuvlvyfcejz",
"discord_client_secret": "olbxnqyvzmcgyfpncfyst",
"discord_bot_token": "nonjizoohlpabvwbfbzkw",
"discord_login_enabled": True,
"crisp_website_id": "sewlxtdfjxskykaapbpdx",
"tawkto_id": "voinjyyjgewzrvldmtkty",
"gtag_id": "kspxnwtkwmotupuntpewa",
"gtm_id": "eqmxearmqdrugeraqymfe",
"meta_pixel_id": "gawtjymzjryiswgvrvsnl",
"trustpilot_afs_email": "hills.rory@example.com",
"description": "Dignissimos et officiis eius.",
"meta_title": "xdnpytwkzmrivvydpytrx",
"meta_description": "enarcdhbxnxeohvqqinls",
"meta_image_id": None,
"meta_twitter_card": "summary_large_image",
"invoice_header": "eqaclxvxvxxogzgeajuzg",
"invoice_notes": "zyecwzbckqdwpluwpkfke",
"invoice_footer": "wfylathpaxyvlxlkwxicy",
"invoice_attach_email": True,
"tax_enabled": True,
"tax_rate": 16,
"tax_countries": None,
"force_custom_domain": True,
"refund_out_of_stock_to_customer_balance": True,
"hide_out_of_stock_products": False,
"hide_out_of_stock_variants": False,
"require_shipping_zone": False,
"noindex": True,
"powered_by_enabled": True,
"maintenance_enabled": True,
"maintenance_password": "tncjtuqjtrzfffyaseegy",
"currency": "xqk",
"default_language": "ko",
"enabled_languages": ["pt"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
subdomain: 'nssrciatkmatldznkaapj',
logo_image_id: null,
favicon_image_id: null,
background_image_id: null,
discord_client_id: 'ptdhyldmarwuvlvyfcejz',
discord_client_secret: 'olbxnqyvzmcgyfpncfyst',
discord_bot_token: 'nonjizoohlpabvwbfbzkw',
discord_login_enabled: true,
crisp_website_id: 'sewlxtdfjxskykaapbpdx',
tawkto_id: 'voinjyyjgewzrvldmtkty',
gtag_id: 'kspxnwtkwmotupuntpewa',
gtm_id: 'eqmxearmqdrugeraqymfe',
meta_pixel_id: 'gawtjymzjryiswgvrvsnl',
trustpilot_afs_email: 'hills.rory@example.com',
description: 'Dignissimos et officiis eius.',
meta_title: 'xdnpytwkzmrivvydpytrx',
meta_description: 'enarcdhbxnxeohvqqinls',
meta_image_id: null,
meta_twitter_card: 'summary_large_image',
invoice_header: 'eqaclxvxvxxogzgeajuzg',
invoice_notes: 'zyecwzbckqdwpluwpkfke',
invoice_footer: 'wfylathpaxyvlxlkwxicy',
invoice_attach_email: true,
tax_enabled: true,
tax_rate: 16,
tax_countries: null,
force_custom_domain: true,
refund_out_of_stock_to_customer_balance: true,
hide_out_of_stock_products: false,
hide_out_of_stock_variants: false,
require_shipping_zone: false,
noindex: true,
powered_by_enabled: true,
maintenance_enabled: true,
maintenance_password: 'tncjtuqjtrzfffyaseegy',
currency: 'xqk',
default_language: 'ko',
enabled_languages: ['pt']
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'subdomain' => 'nssrciatkmatldznkaapj',
'logo_image_id' => null,
'favicon_image_id' => null,
'background_image_id' => null,
'discord_client_id' => 'ptdhyldmarwuvlvyfcejz',
'discord_client_secret' => 'olbxnqyvzmcgyfpncfyst',
'discord_bot_token' => 'nonjizoohlpabvwbfbzkw',
'discord_login_enabled' => true,
'crisp_website_id' => 'sewlxtdfjxskykaapbpdx',
'tawkto_id' => 'voinjyyjgewzrvldmtkty',
'gtag_id' => 'kspxnwtkwmotupuntpewa',
'gtm_id' => 'eqmxearmqdrugeraqymfe',
'meta_pixel_id' => 'gawtjymzjryiswgvrvsnl',
'trustpilot_afs_email' => 'hills.rory@example.com',
'description' => 'Dignissimos et officiis eius.',
'meta_title' => 'xdnpytwkzmrivvydpytrx',
'meta_description' => 'enarcdhbxnxeohvqqinls',
'meta_image_id' => null,
'meta_twitter_card' => 'summary_large_image',
'invoice_header' => 'eqaclxvxvxxogzgeajuzg',
'invoice_notes' => 'zyecwzbckqdwpluwpkfke',
'invoice_footer' => 'wfylathpaxyvlxlkwxicy',
'invoice_attach_email' => true,
'tax_enabled' => true,
'tax_rate' => 16,
'tax_countries' => null,
'force_custom_domain' => true,
'refund_out_of_stock_to_customer_balance' => true,
'hide_out_of_stock_products' => false,
'hide_out_of_stock_variants' => false,
'require_shipping_zone' => false,
'noindex' => true,
'powered_by_enabled' => true,
'maintenance_enabled' => true,
'maintenance_password' => 'tncjtuqjtrzfffyaseegy',
'currency' => 'xqk',
'default_language' => 'ko',
'enabled_languages' => [
'pt'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/update"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"subdomain\": \"nssrciatkmatldznkaapj\",\n \"logo_image_id\": null,\n \"favicon_image_id\": null,\n \"background_image_id\": null,\n \"discord_client_id\": \"ptdhyldmarwuvlvyfcejz\",\n \"discord_client_secret\": \"olbxnqyvzmcgyfpncfyst\",\n \"discord_bot_token\": \"nonjizoohlpabvwbfbzkw\",\n \"discord_login_enabled\": true,\n \"crisp_website_id\": \"sewlxtdfjxskykaapbpdx\",\n \"tawkto_id\": \"voinjyyjgewzrvldmtkty\",\n \"gtag_id\": \"kspxnwtkwmotupuntpewa\",\n \"gtm_id\": \"eqmxearmqdrugeraqymfe\",\n \"meta_pixel_id\": \"gawtjymzjryiswgvrvsnl\",\n \"trustpilot_afs_email\": \"hills.rory@example.com\",\n \"description\": \"Dignissimos et officiis eius.\",\n \"meta_title\": \"xdnpytwkzmrivvydpytrx\",\n \"meta_description\": \"enarcdhbxnxeohvqqinls\",\n \"meta_image_id\": null,\n \"meta_twitter_card\": \"summary_large_image\",\n \"invoice_header\": \"eqaclxvxvxxogzgeajuzg\",\n \"invoice_notes\": \"zyecwzbckqdwpluwpkfke\",\n \"invoice_footer\": \"wfylathpaxyvlxlkwxicy\",\n \"invoice_attach_email\": true,\n \"tax_enabled\": true,\n \"tax_rate\": 16,\n \"tax_countries\": null,\n \"force_custom_domain\": true,\n \"refund_out_of_stock_to_customer_balance\": true,\n \"hide_out_of_stock_products\": false,\n \"hide_out_of_stock_variants\": false,\n \"require_shipping_zone\": false,\n \"noindex\": true,\n \"powered_by_enabled\": true,\n \"maintenance_enabled\": true,\n \"maintenance_password\": \"tncjtuqjtrzfffyaseegy\",\n \"currency\": \"xqk\",\n \"default_language\": \"ko\",\n \"enabled_languages\": [\n \"pt\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"subdomain\": \"nssrciatkmatldznkaapj\",\n \"logo_image_id\": null,\n \"favicon_image_id\": null,\n \"background_image_id\": null,\n \"discord_client_id\": \"ptdhyldmarwuvlvyfcejz\",\n \"discord_client_secret\": \"olbxnqyvzmcgyfpncfyst\",\n \"discord_bot_token\": \"nonjizoohlpabvwbfbzkw\",\n \"discord_login_enabled\": true,\n \"crisp_website_id\": \"sewlxtdfjxskykaapbpdx\",\n \"tawkto_id\": \"voinjyyjgewzrvldmtkty\",\n \"gtag_id\": \"kspxnwtkwmotupuntpewa\",\n \"gtm_id\": \"eqmxearmqdrugeraqymfe\",\n \"meta_pixel_id\": \"gawtjymzjryiswgvrvsnl\",\n \"trustpilot_afs_email\": \"hills.rory@example.com\",\n \"description\": \"Dignissimos et officiis eius.\",\n \"meta_title\": \"xdnpytwkzmrivvydpytrx\",\n \"meta_description\": \"enarcdhbxnxeohvqqinls\",\n \"meta_image_id\": null,\n \"meta_twitter_card\": \"summary_large_image\",\n \"invoice_header\": \"eqaclxvxvxxogzgeajuzg\",\n \"invoice_notes\": \"zyecwzbckqdwpluwpkfke\",\n \"invoice_footer\": \"wfylathpaxyvlxlkwxicy\",\n \"invoice_attach_email\": true,\n \"tax_enabled\": true,\n \"tax_rate\": 16,\n \"tax_countries\": null,\n \"force_custom_domain\": true,\n \"refund_out_of_stock_to_customer_balance\": true,\n \"hide_out_of_stock_products\": false,\n \"hide_out_of_stock_variants\": false,\n \"require_shipping_zone\": false,\n \"noindex\": true,\n \"powered_by_enabled\": true,\n \"maintenance_enabled\": true,\n \"maintenance_password\": \"tncjtuqjtrzfffyaseegy\",\n \"currency\": \"xqk\",\n \"default_language\": \"ko\",\n \"enabled_languages\": [\n \"pt\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"subdomain\": \"nssrciatkmatldznkaapj\",\n \"logo_image_id\": null,\n \"favicon_image_id\": null,\n \"background_image_id\": null,\n \"discord_client_id\": \"ptdhyldmarwuvlvyfcejz\",\n \"discord_client_secret\": \"olbxnqyvzmcgyfpncfyst\",\n \"discord_bot_token\": \"nonjizoohlpabvwbfbzkw\",\n \"discord_login_enabled\": true,\n \"crisp_website_id\": \"sewlxtdfjxskykaapbpdx\",\n \"tawkto_id\": \"voinjyyjgewzrvldmtkty\",\n \"gtag_id\": \"kspxnwtkwmotupuntpewa\",\n \"gtm_id\": \"eqmxearmqdrugeraqymfe\",\n \"meta_pixel_id\": \"gawtjymzjryiswgvrvsnl\",\n \"trustpilot_afs_email\": \"hills.rory@example.com\",\n \"description\": \"Dignissimos et officiis eius.\",\n \"meta_title\": \"xdnpytwkzmrivvydpytrx\",\n \"meta_description\": \"enarcdhbxnxeohvqqinls\",\n \"meta_image_id\": null,\n \"meta_twitter_card\": \"summary_large_image\",\n \"invoice_header\": \"eqaclxvxvxxogzgeajuzg\",\n \"invoice_notes\": \"zyecwzbckqdwpluwpkfke\",\n \"invoice_footer\": \"wfylathpaxyvlxlkwxicy\",\n \"invoice_attach_email\": true,\n \"tax_enabled\": true,\n \"tax_rate\": 16,\n \"tax_countries\": null,\n \"force_custom_domain\": true,\n \"refund_out_of_stock_to_customer_balance\": true,\n \"hide_out_of_stock_products\": false,\n \"hide_out_of_stock_variants\": false,\n \"require_shipping_zone\": false,\n \"noindex\": true,\n \"powered_by_enabled\": true,\n \"maintenance_enabled\": true,\n \"maintenance_password\": \"tncjtuqjtrzfffyaseegy\",\n \"currency\": \"xqk\",\n \"default_language\": \"ko\",\n \"enabled_languages\": [\n \"pt\"\n ]\n}"
response = http.request(request)
puts response.read_bodyShops
Update Shop
Updates a specific shop.
PUT
/
v1
/
shops
/
{shopId}
/
update
Update Shop
curl --request PUT \
--url https://api.sellauth.com/v1/shops/{shopId}/update \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "tjqotbhpzwonwlzospqcs",
"subdomain": "nssrciatkmatldznkaapj",
"logo_image_id": null,
"favicon_image_id": null,
"background_image_id": null,
"discord_client_id": "ptdhyldmarwuvlvyfcejz",
"discord_client_secret": "olbxnqyvzmcgyfpncfyst",
"discord_bot_token": "nonjizoohlpabvwbfbzkw",
"discord_login_enabled": true,
"crisp_website_id": "sewlxtdfjxskykaapbpdx",
"tawkto_id": "voinjyyjgewzrvldmtkty",
"gtag_id": "kspxnwtkwmotupuntpewa",
"gtm_id": "eqmxearmqdrugeraqymfe",
"meta_pixel_id": "gawtjymzjryiswgvrvsnl",
"trustpilot_afs_email": "hills.rory@example.com",
"description": "Dignissimos et officiis eius.",
"meta_title": "xdnpytwkzmrivvydpytrx",
"meta_description": "enarcdhbxnxeohvqqinls",
"meta_image_id": null,
"meta_twitter_card": "summary_large_image",
"invoice_header": "eqaclxvxvxxogzgeajuzg",
"invoice_notes": "zyecwzbckqdwpluwpkfke",
"invoice_footer": "wfylathpaxyvlxlkwxicy",
"invoice_attach_email": true,
"tax_enabled": true,
"tax_rate": 16,
"tax_countries": null,
"force_custom_domain": true,
"refund_out_of_stock_to_customer_balance": true,
"hide_out_of_stock_products": false,
"hide_out_of_stock_variants": false,
"require_shipping_zone": false,
"noindex": true,
"powered_by_enabled": true,
"maintenance_enabled": true,
"maintenance_password": "tncjtuqjtrzfffyaseegy",
"currency": "xqk",
"default_language": "ko",
"enabled_languages": [
"pt"
]
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/update"
payload = {
"name": "tjqotbhpzwonwlzospqcs",
"subdomain": "nssrciatkmatldznkaapj",
"logo_image_id": None,
"favicon_image_id": None,
"background_image_id": None,
"discord_client_id": "ptdhyldmarwuvlvyfcejz",
"discord_client_secret": "olbxnqyvzmcgyfpncfyst",
"discord_bot_token": "nonjizoohlpabvwbfbzkw",
"discord_login_enabled": True,
"crisp_website_id": "sewlxtdfjxskykaapbpdx",
"tawkto_id": "voinjyyjgewzrvldmtkty",
"gtag_id": "kspxnwtkwmotupuntpewa",
"gtm_id": "eqmxearmqdrugeraqymfe",
"meta_pixel_id": "gawtjymzjryiswgvrvsnl",
"trustpilot_afs_email": "hills.rory@example.com",
"description": "Dignissimos et officiis eius.",
"meta_title": "xdnpytwkzmrivvydpytrx",
"meta_description": "enarcdhbxnxeohvqqinls",
"meta_image_id": None,
"meta_twitter_card": "summary_large_image",
"invoice_header": "eqaclxvxvxxogzgeajuzg",
"invoice_notes": "zyecwzbckqdwpluwpkfke",
"invoice_footer": "wfylathpaxyvlxlkwxicy",
"invoice_attach_email": True,
"tax_enabled": True,
"tax_rate": 16,
"tax_countries": None,
"force_custom_domain": True,
"refund_out_of_stock_to_customer_balance": True,
"hide_out_of_stock_products": False,
"hide_out_of_stock_variants": False,
"require_shipping_zone": False,
"noindex": True,
"powered_by_enabled": True,
"maintenance_enabled": True,
"maintenance_password": "tncjtuqjtrzfffyaseegy",
"currency": "xqk",
"default_language": "ko",
"enabled_languages": ["pt"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'tjqotbhpzwonwlzospqcs',
subdomain: 'nssrciatkmatldznkaapj',
logo_image_id: null,
favicon_image_id: null,
background_image_id: null,
discord_client_id: 'ptdhyldmarwuvlvyfcejz',
discord_client_secret: 'olbxnqyvzmcgyfpncfyst',
discord_bot_token: 'nonjizoohlpabvwbfbzkw',
discord_login_enabled: true,
crisp_website_id: 'sewlxtdfjxskykaapbpdx',
tawkto_id: 'voinjyyjgewzrvldmtkty',
gtag_id: 'kspxnwtkwmotupuntpewa',
gtm_id: 'eqmxearmqdrugeraqymfe',
meta_pixel_id: 'gawtjymzjryiswgvrvsnl',
trustpilot_afs_email: 'hills.rory@example.com',
description: 'Dignissimos et officiis eius.',
meta_title: 'xdnpytwkzmrivvydpytrx',
meta_description: 'enarcdhbxnxeohvqqinls',
meta_image_id: null,
meta_twitter_card: 'summary_large_image',
invoice_header: 'eqaclxvxvxxogzgeajuzg',
invoice_notes: 'zyecwzbckqdwpluwpkfke',
invoice_footer: 'wfylathpaxyvlxlkwxicy',
invoice_attach_email: true,
tax_enabled: true,
tax_rate: 16,
tax_countries: null,
force_custom_domain: true,
refund_out_of_stock_to_customer_balance: true,
hide_out_of_stock_products: false,
hide_out_of_stock_variants: false,
require_shipping_zone: false,
noindex: true,
powered_by_enabled: true,
maintenance_enabled: true,
maintenance_password: 'tncjtuqjtrzfffyaseegy',
currency: 'xqk',
default_language: 'ko',
enabled_languages: ['pt']
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.sellauth.com/v1/shops/{shopId}/update",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'tjqotbhpzwonwlzospqcs',
'subdomain' => 'nssrciatkmatldznkaapj',
'logo_image_id' => null,
'favicon_image_id' => null,
'background_image_id' => null,
'discord_client_id' => 'ptdhyldmarwuvlvyfcejz',
'discord_client_secret' => 'olbxnqyvzmcgyfpncfyst',
'discord_bot_token' => 'nonjizoohlpabvwbfbzkw',
'discord_login_enabled' => true,
'crisp_website_id' => 'sewlxtdfjxskykaapbpdx',
'tawkto_id' => 'voinjyyjgewzrvldmtkty',
'gtag_id' => 'kspxnwtkwmotupuntpewa',
'gtm_id' => 'eqmxearmqdrugeraqymfe',
'meta_pixel_id' => 'gawtjymzjryiswgvrvsnl',
'trustpilot_afs_email' => 'hills.rory@example.com',
'description' => 'Dignissimos et officiis eius.',
'meta_title' => 'xdnpytwkzmrivvydpytrx',
'meta_description' => 'enarcdhbxnxeohvqqinls',
'meta_image_id' => null,
'meta_twitter_card' => 'summary_large_image',
'invoice_header' => 'eqaclxvxvxxogzgeajuzg',
'invoice_notes' => 'zyecwzbckqdwpluwpkfke',
'invoice_footer' => 'wfylathpaxyvlxlkwxicy',
'invoice_attach_email' => true,
'tax_enabled' => true,
'tax_rate' => 16,
'tax_countries' => null,
'force_custom_domain' => true,
'refund_out_of_stock_to_customer_balance' => true,
'hide_out_of_stock_products' => false,
'hide_out_of_stock_variants' => false,
'require_shipping_zone' => false,
'noindex' => true,
'powered_by_enabled' => true,
'maintenance_enabled' => true,
'maintenance_password' => 'tncjtuqjtrzfffyaseegy',
'currency' => 'xqk',
'default_language' => 'ko',
'enabled_languages' => [
'pt'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.sellauth.com/v1/shops/{shopId}/update"
payload := strings.NewReader("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"subdomain\": \"nssrciatkmatldznkaapj\",\n \"logo_image_id\": null,\n \"favicon_image_id\": null,\n \"background_image_id\": null,\n \"discord_client_id\": \"ptdhyldmarwuvlvyfcejz\",\n \"discord_client_secret\": \"olbxnqyvzmcgyfpncfyst\",\n \"discord_bot_token\": \"nonjizoohlpabvwbfbzkw\",\n \"discord_login_enabled\": true,\n \"crisp_website_id\": \"sewlxtdfjxskykaapbpdx\",\n \"tawkto_id\": \"voinjyyjgewzrvldmtkty\",\n \"gtag_id\": \"kspxnwtkwmotupuntpewa\",\n \"gtm_id\": \"eqmxearmqdrugeraqymfe\",\n \"meta_pixel_id\": \"gawtjymzjryiswgvrvsnl\",\n \"trustpilot_afs_email\": \"hills.rory@example.com\",\n \"description\": \"Dignissimos et officiis eius.\",\n \"meta_title\": \"xdnpytwkzmrivvydpytrx\",\n \"meta_description\": \"enarcdhbxnxeohvqqinls\",\n \"meta_image_id\": null,\n \"meta_twitter_card\": \"summary_large_image\",\n \"invoice_header\": \"eqaclxvxvxxogzgeajuzg\",\n \"invoice_notes\": \"zyecwzbckqdwpluwpkfke\",\n \"invoice_footer\": \"wfylathpaxyvlxlkwxicy\",\n \"invoice_attach_email\": true,\n \"tax_enabled\": true,\n \"tax_rate\": 16,\n \"tax_countries\": null,\n \"force_custom_domain\": true,\n \"refund_out_of_stock_to_customer_balance\": true,\n \"hide_out_of_stock_products\": false,\n \"hide_out_of_stock_variants\": false,\n \"require_shipping_zone\": false,\n \"noindex\": true,\n \"powered_by_enabled\": true,\n \"maintenance_enabled\": true,\n \"maintenance_password\": \"tncjtuqjtrzfffyaseegy\",\n \"currency\": \"xqk\",\n \"default_language\": \"ko\",\n \"enabled_languages\": [\n \"pt\"\n ]\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.sellauth.com/v1/shops/{shopId}/update")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"subdomain\": \"nssrciatkmatldznkaapj\",\n \"logo_image_id\": null,\n \"favicon_image_id\": null,\n \"background_image_id\": null,\n \"discord_client_id\": \"ptdhyldmarwuvlvyfcejz\",\n \"discord_client_secret\": \"olbxnqyvzmcgyfpncfyst\",\n \"discord_bot_token\": \"nonjizoohlpabvwbfbzkw\",\n \"discord_login_enabled\": true,\n \"crisp_website_id\": \"sewlxtdfjxskykaapbpdx\",\n \"tawkto_id\": \"voinjyyjgewzrvldmtkty\",\n \"gtag_id\": \"kspxnwtkwmotupuntpewa\",\n \"gtm_id\": \"eqmxearmqdrugeraqymfe\",\n \"meta_pixel_id\": \"gawtjymzjryiswgvrvsnl\",\n \"trustpilot_afs_email\": \"hills.rory@example.com\",\n \"description\": \"Dignissimos et officiis eius.\",\n \"meta_title\": \"xdnpytwkzmrivvydpytrx\",\n \"meta_description\": \"enarcdhbxnxeohvqqinls\",\n \"meta_image_id\": null,\n \"meta_twitter_card\": \"summary_large_image\",\n \"invoice_header\": \"eqaclxvxvxxogzgeajuzg\",\n \"invoice_notes\": \"zyecwzbckqdwpluwpkfke\",\n \"invoice_footer\": \"wfylathpaxyvlxlkwxicy\",\n \"invoice_attach_email\": true,\n \"tax_enabled\": true,\n \"tax_rate\": 16,\n \"tax_countries\": null,\n \"force_custom_domain\": true,\n \"refund_out_of_stock_to_customer_balance\": true,\n \"hide_out_of_stock_products\": false,\n \"hide_out_of_stock_variants\": false,\n \"require_shipping_zone\": false,\n \"noindex\": true,\n \"powered_by_enabled\": true,\n \"maintenance_enabled\": true,\n \"maintenance_password\": \"tncjtuqjtrzfffyaseegy\",\n \"currency\": \"xqk\",\n \"default_language\": \"ko\",\n \"enabled_languages\": [\n \"pt\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.sellauth.com/v1/shops/{shopId}/update")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"tjqotbhpzwonwlzospqcs\",\n \"subdomain\": \"nssrciatkmatldznkaapj\",\n \"logo_image_id\": null,\n \"favicon_image_id\": null,\n \"background_image_id\": null,\n \"discord_client_id\": \"ptdhyldmarwuvlvyfcejz\",\n \"discord_client_secret\": \"olbxnqyvzmcgyfpncfyst\",\n \"discord_bot_token\": \"nonjizoohlpabvwbfbzkw\",\n \"discord_login_enabled\": true,\n \"crisp_website_id\": \"sewlxtdfjxskykaapbpdx\",\n \"tawkto_id\": \"voinjyyjgewzrvldmtkty\",\n \"gtag_id\": \"kspxnwtkwmotupuntpewa\",\n \"gtm_id\": \"eqmxearmqdrugeraqymfe\",\n \"meta_pixel_id\": \"gawtjymzjryiswgvrvsnl\",\n \"trustpilot_afs_email\": \"hills.rory@example.com\",\n \"description\": \"Dignissimos et officiis eius.\",\n \"meta_title\": \"xdnpytwkzmrivvydpytrx\",\n \"meta_description\": \"enarcdhbxnxeohvqqinls\",\n \"meta_image_id\": null,\n \"meta_twitter_card\": \"summary_large_image\",\n \"invoice_header\": \"eqaclxvxvxxogzgeajuzg\",\n \"invoice_notes\": \"zyecwzbckqdwpluwpkfke\",\n \"invoice_footer\": \"wfylathpaxyvlxlkwxicy\",\n \"invoice_attach_email\": true,\n \"tax_enabled\": true,\n \"tax_rate\": 16,\n \"tax_countries\": null,\n \"force_custom_domain\": true,\n \"refund_out_of_stock_to_customer_balance\": true,\n \"hide_out_of_stock_products\": false,\n \"hide_out_of_stock_variants\": false,\n \"require_shipping_zone\": false,\n \"noindex\": true,\n \"powered_by_enabled\": true,\n \"maintenance_enabled\": true,\n \"maintenance_password\": \"tncjtuqjtrzfffyaseegy\",\n \"currency\": \"xqk\",\n \"default_language\": \"ko\",\n \"enabled_languages\": [\n \"pt\"\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
You can retrieve your API key from your dashboard under Account > Developers.
Body
application/json
Response
200